flex help needed

flex help needed

Post by Andy For » Fri, 29 Aug 1997 04:00:00



Hi All
I'm trying to compile the package "SGML-tools", but I get an
error:

Compiling the SGML parsing tools (in sgmls-1.1/)...
make: `config.h' is up to date.
make: Nothing to be done for `all'.
Compiling HTML conversion tools (in html-fix/)...
gcc -O -s -o fixref fixref.c -lfl
/usr/lib/libfl.a(libmain.o): In function `main':
libmain.o(.text+0x5): undefined reference to `yylex'
make: *** [fixref] Error 1
make failed

I have flex installed in a Slakware 3.2 setup. I'm stuck.
Andy

 
 
 

1. GNU flex help needed

I've inherited some flex code that was last successfully built with
flex version 2.3.8.  Version 2.3.8 is no longer available to me and
while flex 2.4.7 produces C code that compiles just fine, the
resulting program now hangs.

I'm not experienced with flex.  Can anybody clue me in to what I
need to do to update the code in order to make it work with
version 2.4.7?  If so, please send me an e-mail message.

Thanks.

--
Jonathan R. Fausey                 OCLC, Online Computer Library Center, Inc.

2. Info Reqd about G.R.E.A.T

3. Starting with flex ... needs help

4. XF86_TGA server... XF86Config needed

5. Help needed in porting AIX lex app to linux flex

6. Here is Wisecom ethernet code for Freebsd 2.2.8

7. flex/bison(lex/yacc) help needed.

8. NetGear FS116

9. Help needed in porting AIX lex app to Linux flex

10. Starting with flex ... needs help

11. need help with setting up 56K Flex modem !!!

12. Need help for bison/flex

13. About Flex: How to use sub routing of fl in flex?